Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07379 Interface Minor Always Jul 23, 2019, 16:02 Aug 19, 2019, 15:52
Tester hap View Status Public Platform
Assigned To cuavas Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver
Version 0.211 Fixed in Version 0.213 Build
Summary 07379: artwork: group autobounds doesnt always work if origin is higher than 0
Description Layout file group autobounds doesnt always work if origin is higher than 0. The group is scaled to a smaller size. Refer to the attached example layout file, use it as external artwork for any MAME game to test it. Expected result is 5 white boxes.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon Screenshot (26).png (6,696 bytes) Jul 23, 2019, 16:02 Uploaded by hap
hap
zip file icon group_autobounds_test.zip (816 bytes) Jul 23, 2019, 16:03 Uploaded by hap
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.16686
hap
Developer
Jul 23, 2019, 17:35
possibly related to: https://github.com/mamedev/mame/issues/4606
User avatar
No.16695
hap
Developer
Jul 27, 2019, 01:05
I think the problem is that void layout_group::resolve_bounds (emu/rendlay.cpp) doesn't have an is_first check before setting bounds for the first element in the group.

eg. it should do:
if (first)
bounds = elem_bounds
else
union_render_bounds